Bug 168945 - arc: insecure temp file creation (CAN-2005-2945)
arc: insecure temp file creation (CAN-2005-2945)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: arc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nicolas Mailhot
Fedora Extras Quality Assurance
http://cve.mitre.org/cgi-bin/cvename....
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-21 11:23 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-08 06:40:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2005-09-21 11:23:49 EDT
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2005-2945 
 
Proposed patch: 
http://seclists.org/lists/fulldisclosure/2005/Sep/0540.html 
 
BTW, Debian ships version 5.21l which according to the changelog also contains 
some buffer overflow fixes.
Comment 1 Nicolas Mailhot 2005-09-21 13:24:26 EDT
I'll release 5.21l this week-end. Then probably declare arc orphaned.

I have little confidence in arc's code. It's old and licensing problems kept it
frozen for a long time. Since amavisd can use nomarch instead I have no need for
arc anymore. 

Unless people are actively fixing arc now it's GPL and work on nomarch stopped.
Didin't look at both projects lately.
Comment 2 Ville Skyttä 2005-10-07 03:28:49 EDT
ping 
Comment 3 Nicolas Mailhot 2005-10-08 06:40:48 EDT
Should be building.
Didn't check if it actually works after the build, the number of warnings is
still sky-high
Orphaning this pile of old code now, even the latest and greatest needed a build
patch :(. Seems even freebsd does not care anymore.

Note You need to log in before you can comment on or make changes to this bug.